# Streaming Schema V2

We are sending multiple vehicle data points in a single message. You may find the full JSON Schema at :

* Root object spec: [json-schema/janus/0002/spec.json](https://raw.githubusercontent.com/highmobility/open-api-specifications/refs/heads/main/json-schema/janus/0002/spec.json)
* Data object spec: [json-schema/auto-api/0002/spec.json](https://raw.githubusercontent.com/highmobility/open-api-specifications/refs/heads/main/json-schema/auto-api/0002/spec.json)

Here is an example of a single message.

<pre class="language-json"><code class="lang-json">{
  "version": 2,
  "application_id": "00000000-0000-0000-0000-000000000000",
  "message_id": "4F02FFB01650060FA8888E5C3ED46FF2A0E4A49EACF1A92E264CD0C137971B28",
  "vin": "EXV10000000",
  "data": {
    "<a data-footnote-ref href="#user-content-fn-1">diagnostics</a>": {
      "odometer": [
        {
          "data": {
            "unit": "kilometers",
            "value": 19201.01
          },
          "timestamp": "2025-09-23T18:07:36Z"
        }
      ]
    },
    "<a data-footnote-ref href="#user-content-fn-2">vehicle_location</a>": {
      "altitude": [
        {
          "data": {
            "unit": "meters",
            "value": 63
          },
          "timestamp": "2025-08-12T16:07:48.000Z"
        }
      ],
      "coordinates": [
        {
          "data": {
            "latitude": 11.572,
            "longitude": 8.487
          },
          "timestamp": "2025-08-12T16:07:48.000Z"
        }
      ],
      "heading": [
        {
          "data": {
            "unit": "degrees",
            "value": 58
          },
          "timestamp": "2025-08-12T16:07:48.000Z"
        }
      ]
    }
  }
}
</code></pre>

[^1]: [Diagnostics](/api-references/data/streaming-schema-v2/diagnostics.md)

[^2]: [Vehicle Location](/api-references/data/streaming-schema-v2/vehicle-location.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.high-mobility.com/api-references/data/streaming-schema-v2.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
